//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
//  
using System;
using System.Collections;
using System.Collections.Specialized;

namespace FrameworkLibraries
{
	public class StringDictionaryMain 
	{
		static void Main(string [] args)
		{
			StringDictionary sd = new StringDictionary();
			sd.Add("First", "To jest pierwszy ciąg");
			sd.Add("Second", "To jest drugi ciąg");
			sd.Add("Third", "To jest trzeci ciąg");
			sd.Add("Fourth", "To jest czwarty ciąg");
			sd.Add("Fifth", "To jest piąty ciąg");
			Console.WriteLine("Licznik: {0}", sd.Count);
			foreach(DictionaryEntry de in sd)
			{
				Console.WriteLine("{0} {1}", de.Key, de.Value);
			}
			Console.WriteLine("sd[\"Pierwszy\"]: {0}", sd["Pierwszy"]);
			Console.WriteLine("sd[\"Drugi\"]: {0}", sd["Drugi"]);
			Console.WriteLine("sd[\"PIERWSZY\"]: {0}", sd["PIERWSZY"]);
			Console.WriteLine("ContainsKey \"Pierwszy\": {0}", sd.ContainsKey("Pierwszy"));
			Console.WriteLine("ContainsKey \"Szósty\": {0}", sd.ContainsKey("Szósty"));
		}
	}
}